#
# spec file for package openshot-qt
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           openshot-qt
Version:        2.4.1
Release:        lp152.3.82
Summary:        Non-linear video editor with broad format support
License:        GPL-3.0+
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://openshot.org/
Source:         openshot-qt-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-httplib2
BuildRequires:  python3-openshot
BuildRequires:  python3-pyzmq
BuildRequires:  python3-setuptools
BuildRequires:  hicolor-icon-theme
BuildRequires:  update-desktop-files
BuildRequires:  shared-mime-info
# Check list of dependencies:
BuildRequires:  python3-qt5-devel
BuildRequires:  python3-xdg
Requires:       python(abi) = %{py3_ver}
Requires:       python3-httplib2
Requires:       python3-openshot
Requires:       python3-pyzmq
Requires:       python3-qt5
Requires:       python3-xdg
Provides:       openshot = %{version}
Obsoletes:      openshot < %{version}
BuildArch:      noarch

%description
OpenShot Video Editor is a non-linear video editor. It can create and
edit videos and movies using many video, audio, and image formats.

%prep
%setup
sed -e 's|pixmaps|icons/hicolor/scalable/apps|' \
    -e '/lib.mime.packages/d' \
    -i setup.py

find . -type f -name '*.py' \
  -exec perl -n -i -e 'print $_ unless ($.==1 and /^#!/)' {} \;

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
%suse_update_desktop_file -r %{name} AudioVideo AudioVideoEditing
%fdupes -s %{buildroot}%{python3_sitelib}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{python3_sitelib}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/icons/hicolor/*/*/%{name}.??g

%changelog
* Tue Mar  6 2018 adrian@suse.de
- update to version 2.4.1
* Thu Sep 21 2017 draht@schaltsekun.de
- fix filelist for build
* Mon Sep 11 2017 adrian@suse.de
- update to 2.4.0
* Mon Apr  3 2017 adrian@suse.de
- Update to 2.3.1
* Fri Jan 13 2017 jengelh@inai.de
- Trim filler words from description.
* Thu Jan 12 2017 adrian@suse.de
- adapt for openSUSE Factory
* Thu Jan  5 2017 avvissu@yandex.by
- Update to 2.2.O:
  * Performance / Caching
  * Improved Stability
  * Keyframe Enhancements
  * Error Handling / Reporting
  * New Title Templates
  * Infrastructure Improvements
  * Misc / Bug Fixes
  * More info: http://www.openshotvideo.com/
* Thu Oct 20 2016 avvissu@yandex.by
- Initial package
